Package org.apache.commons.math3.stat.regression

# Class ModelSpecificationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.stat.regression.ModelSpecificationException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class ModelSpecificationException extends MathIllegalArgumentException
Exception thrown when a regression model is not correctly specified.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ModelSpecificationException(Localizable pattern, Object... args)`

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModelSpecificationException

public ModelSpecificationException(Localizable pattern, Object... args)

Parameters:
  `pattern` - message pattern describing the specification error.
  `args` - arguments.